<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Alumno</title>
        <h:outputStylesheet name="style.css" library="css" /> 
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:fieldset legend="Consultas con Filtro">
                    <h:form>

                        <h:panelGrid columns="9" cellpadding="1" cellspacing="7" width="97%">
                            <p:outputLabel value="Género"/>
                            <p:selectOneMenu value="#{registroAlumnoController.genero.id}" style="width: 90%">
                                <f:selectItem itemLabel="Seleccione Género" itemValue="" />
                                <f:selectItems value="#{generoController.lista}" var="genero" itemValue="#{genero.id}" itemLabel="#{genero.genero}"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findByGenero()}" update=":tabla"/>

                            <p:outputLabel value="Carrera"/>
                            <p:selectOneMenu value="#{registroAlumnoController.carrera.id}" filter="true" style="width: 90%">
                                <f:selectItem itemLabel="Seleccione Carrera" itemValue="" />
                                <f:selectItems value="#{carreraController.lista}" var="carrera" itemValue="#{carrera.id}" itemLabel="#{carrera.carrera}"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findByCarrera()}" update=":tabla"/>

                            <p:outputLabel value="Municipio"/>
                            <p:selectOneMenu value="#{registroAlumnoController.municipio.id}" filter="true" style="width: 110%; margin-left: -30px;">
                                <f:selectItem itemLabel="Seleccione Municipio" itemValue="" />
                                <f:selectItems value="#{municipioController.lista}" var="municipio" itemValue="#{municipio.id}" itemLabel="#{municipio.municipio}"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findByMunicipio()}" update=":tabla" style="margin-right:-25px; "/>

                            <p:outputLabel value="Nombre"/>
                            <p:inputText value="#{registroAlumnoController.findnombre}" style="width: 90%" />
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findByNombre()}" update=":tabla"/>

                            <p:outputLabel value="Carnet"/>
                            <p:inputText value="#{registroAlumnoController.carnet}" maxlength="8" style="width: 90%"/>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findByCarnet()}" update=":tabla"/>

                            <p:outputLabel value="Aceptó Investigación" style="margin-right: 10px;"/>
                            <p:selectOneMenu value="#{registroAlumnoController.acuerdo}" style="width: 110%; margin-left: -30px;">
                                <f:selectItem itemLabel="Seleccione Acuerdo" itemValue="" />
                                <f:selectItem itemValue="SI" itemLabel="De acuerdo"/>
                                <f:selectItem itemValue="NO" itemLabel="Desacuerdo"/>
                            </p:selectOneMenu>

                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{registroAlumnoController.findAcuerdo()}" update=":tabla"/>


                            <p:outputLabel value="Listar Todo"/>
                            <p:commandButton icon="pi pi-search" value="Listar" actionListener="#{registroAlumnoController.consultar()}" update=":tabla"/>
                        </h:panelGrid>

                    </h:form>
                </p:fieldset>
                <br/>
                <p:fieldset legend="Alumnos Registrados">
                    <h:form id="tabla">
                        <p:dataTable value="#{registroAlumnoController.alumnoList}" var="alumnos" paginator="true" rows="10">
                            <p:column headerText="Nombre">
                                <p:outputLabel value="#{alumnos.nombres}"/>
                            </p:column>
                            <p:column headerText="Carnet">
                                <p:outputLabel value="#{alumnos.carnet}"/>
                            </p:column>

                            <p:column headerText="Fecha de Registro">
                                <p:outputLabel value="#{alumnos.fecharegistro}">
                                    <f:convertDateTime pattern="yyyy-MM-dd"/>
                                </p:outputLabel>
                            </p:column>
                            <p:column headerText="Carrera">
                                <p:outputLabel value="#{alumnos.carrera.carrera}"/>
                            </p:column>
                            <p:column headerText="Genero">
                                <p:outputLabel value="#{alumnos.genero.genero}"/>
                            </p:column>

                            <p:column headerText="Municipio de residencia">
                                <p:outputLabel value="#{alumnos.municipio.municipio}"/>
                            </p:column>
                            
                             <p:column headerText="Acuerdo">
                                 <p:outputLabel value="#{alumnos.acuerdo}"/>
                            </p:column>
                            
                            <p:column headerText="Medico que registró">
                                <p:outputLabel value="#{alumnos.usuario.medico}"/>
                            </p:column>
                            <p:column headerText="Accion">
                                <p:commandButton icon="pi pi-list" value="Ver Detalles" action="#{registroAlumnoController.detalles(alumnos)}"/>
                            </p:column>
                        </p:dataTable> 
                    </h:form>
                </p:fieldset>


            </ui:define>
        </ui:composition>
    </h:body>
</html>

